org.apache.cassandra.utils

## Class SkipNullRepresenter

- java.lang.Object
- - org.yaml.snakeyaml.representer.BaseRepresenter
  - - org.yaml.snakeyaml.representer.Representer
    - - org.apache.cassandra.utils.SkipNullRepresenter

    public class SkipNullRepresenter
    extends org.yaml.snakeyaml.representer.Representer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.representer.Representer

`org.yaml.snakeyaml.representer.Representer.RepresentJavaBean`

### Field Summary

Fields
`protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag>` `classTags`
`static java.util.regex.Pattern` `MULTILINE_PATTERN`
`protected java.util.TimeZone` `timeZone`

### Fields inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

`defaultFlowStyle, defaultScalarStyle, multiRepresenters, nullRepresenter, objectToRepresent, representedObjects, representers`

### Constructor Summary

Constructors
Constructor and Description
`SkipNullRepresenter()`

### Method Summary

Methods
`org.yaml.snakeyaml.nodes.Tag` `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, java.lang.String arg1)`
`org.yaml.snakeyaml.nodes.Tag` `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, org.yaml.snakeyaml.nodes.Tag arg1)`
`protected org.yaml.snakeyaml.nodes.Tag` `getTag(java.lang.Class<?> arg0, org.yaml.snakeyaml.nodes.Tag arg1)`
`java.util.TimeZone` `getTimeZone()`
`protected org.yaml.snakeyaml.nodes.NodeTuple` `representJavaBeanProperty(java.lang.Object javaBean, org.yaml.snakeyaml.introspector.Property property, java.lang.Object propertyValue, org.yaml.snakeyaml.nodes.Tag customTag)`
`void` `setTimeZone(java.util.TimeZone arg0)`

### Methods inherited from class org.yaml.snakeyaml.representer.Representer

`checkGlobalTag, getProperties, representJavaBean`

### Methods inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

`getDefaultFlowStyle, getPropertyUtils, isExplicitPropertyUtils, represent, representData, representMapping, representScalar, representScalar, representSequence, setDefaultFlowStyle, setDefaultScalarStyle, setPropertyUtils`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### classTags

    protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag> classTags

#### timeZone

    protected java.util.TimeZone timeZone

#### MULTILINE_PATTERN

    public static java.util.regex.Pattern MULTILINE_PATTERN

### Constructor Detail

#### SkipNullRepresenter

    public SkipNullRepresenter()

### Method Detail

#### representJavaBeanProperty

    protected org.yaml.snakeyaml.nodes.NodeTuple representJavaBeanProperty(java.lang.Object javaBean,
                                                               org.yaml.snakeyaml.introspector.Property property,
                                                               java.lang.Object propertyValue,
                                                               org.yaml.snakeyaml.nodes.Tag customTag)

Overrides:
  `representJavaBeanProperty` in class `org.yaml.snakeyaml.representer.Representer`

#### getTag

    protected org.yaml.snakeyaml.nodes.Tag getTag(java.lang.Class<?> arg0,
                                      org.yaml.snakeyaml.nodes.Tag arg1)

#### addClassTag

    public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                           java.lang.String arg1)

#### addClassTag

    public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                           org.yaml.snakeyaml.nodes.Tag arg1)

#### getTimeZone

    public java.util.TimeZone getTimeZone()

#### setTimeZone

    public void setTimeZone(java.util.TimeZone arg0)